activateAddons [ 
  "vbs2_iq_civ",
  "caweapons",
  "vbs2_vehicles_air_planes_lockheed_c130_au_c130j",
  "vbs2_core",
  "vbs2_people_au_adf_pilot_fighter",
  "vbs2_weapons_pistols_glock_17",
  "vbs2_editor",
  "caair",
  "camisc",
  "vbs2_vehicles_land_wheeled_rover_landrover_adf_landrover",
  "vbs2_vehicles_land_wheeled",
  "arma_units_vbs2",
  "vbs2_people_au_adf_rifleman",
  "vbs2_weapons_rifles_steyr_aug_au_f88",
  "vbs2_weapons_pistols_browning_hipower",
  "vbs2_weapons_launchers_talley_law_m72a6",
  "vbs2_weapons_machineguns_fn_minimi_au_f89",
  "vbs2_vehicles_land_tracked_m1abrams_au_m1a1",
  "vbs2_weapons_machineguns_browning_m2",
  "vbs2_weapons_machineguns_fn_mag_au_mag58",
  "vbs2_weapons_cannons_rheinmetall_l44",
  "vbs2_structures_barriers",
  "vbs2_weapons_ammocrate",
  "vbs2_weapons_ammocrate_usmc_ammocrate",
  "vbs2_weapons_launchers_m136_at4",
  "vbs2_weapons_rifles_steyr_aug"
];

if (!isNil "_map") then
{
  call compile preProcessFile "\vbs2\editor\Data\Scripts\init_global.sqf";
  initAmbientLife;
};

_func_COC_Create_Unit = compile preprocessFile "\vbs2\editor\data\scripts\unit\create_Unit.sqf";
_func_COC_Update_Unit = compile preprocessFile "\vbs2\editor\data\scripts\unit\update_Unit.sqf";
_func_COC_Delete_Unit = compile preprocessFile "\vbs2\editor\data\scripts\unit\delete_Unit.sqf";
_func_COC_Import_Unit = compile preprocessFile "\vbs2\editor\data\scripts\unit\import_Unit.sqf";
_func_COC_UpdatePlayability_Unit = compile preprocessFile "\vbs2\editor\data\scripts\unit\updateUnitPlayability.sqf";
_func_COC_Create_Group = compile preprocessFile "\vbs2\editor\data\scripts\group\create_Group.sqf";
_func_COC_Update_Group = compile preprocessFile "\vbs2\editor\data\scripts\group\update_Group.sqf";
_func_COC_Delete_Group = compile preprocessFile "\vbs2\editor\data\scripts\group\delete_Group.sqf";
_func_COC_Delete_Group_Only = compile preprocessFile "\vbs2\editor\data\scripts\group\delete_Group_Only.sqf";
_func_COC_Attach_Group = compile preprocessFile "\vbs2\editor\data\scripts\group\attach_Group.sqf";
_func_COC_Group_OnTypeChanged = compile preprocessFile "\vbs2\editor\data\scripts\group\groupOnTypeChanged.sqf";
_func_COC_Group_OnNewCatChanged = compile preprocessFile "\vbs2\editor\data\scripts\group\groupOnNewSideOrCatChanged.sqf";
_func_COC_Group_OnNewTypeChanged = compile preprocessFile "\vbs2\editor\data\scripts\group\groupOnNewTypeChanged.sqf";
_func_COC_Group_Selected = compile preprocessFile "\vbs2\editor\data\scripts\group\groupFromSelected.sqf";
_func_COC_SubTeam_Join = compile preprocessFile "\vbs2\editor\data\scripts\subteam\subTeamJoin.sqf";
_func_COC_Waypoint_Assign = compile preprocessFile "\vbs2\editor\data\scripts\waypoint\waypointAssign.sqf";
_func_COC_Waypoint_Update = compile preprocessFile "\vbs2\editor\data\scripts\waypoint\waypointUpdate.sqf";
_func_COC_Waypoint_Draw = compile preprocessFile "\vbs2\editor\data\scripts\waypoint\waypointDraw.sqf";
_func_COC_Waypoint_Delete = compile preprocessFile "\vbs2\editor\data\scripts\waypoint\waypointDelete.sqf";
_func_COC_Waypoint_Move = compile preprocessFile "\vbs2\editor\Data\Scripts\waypoint\waypointMove.sqf";
_func_COC_Marker_Create = compile preprocessFile "\vbs2\editor\data\scripts\marker\markerCreate.sqf";
_func_COC_Marker_Update = compile preprocessFile "\vbs2\editor\data\scripts\marker\markerUpdate.sqf";
_func_COC_Marker_SetDrawIcons = compile preprocessFile "\vbs2\editor\data\scripts\marker\markerSetDrawIcons.sqf";
_func_COC_Marker_DlgChanged = compile preprocessFile "\vbs2\editor\data\scripts\marker\markerDlgChanged.sqf";
_func_COC_Marker_Tactical_Create = compile preprocessFile "\vbs2\editor\data\scripts\marker\markerCreateTactical.sqf";
_func_COC_Marker_Tactical_Update = compile preprocessFile "\vbs2\editor\data\scripts\marker\markerUpdateTactical.sqf";
_func_COC_Marker_Tactical_SetDrawIcons = compile preprocessFile "\vbs2\editor\data\scripts\marker\markerSetDrawIconsTactical.sqf";
_getCrew = compile preprocessFile "\vbs2\editor\Data\Scripts\vehicle\getCrew.sqf";
_func_COC_Vehicle_Create = compile preprocessFile "\vbs2\editor\Data\Scripts\vehicle\vehicleCreate.sqf";
_func_COC_Vehicle_Update = compile preprocessFile "\vbs2\editor\Data\Scripts\vehicle\processVehicleJoin.sqf";
_func_COC_Vehicle_Occupy = compile preprocessFile "\vbs2\editor\data\scripts\vehicle\occupyVehicle.sqf";
_func_COC_Vehicle_Delete = compile preprocessFile "\vbs2\editor\data\scripts\vehicle\vehicleDelete.sqf";
_func_COC_Vehicle_UnJoin = compile preprocessFile "\vbs2\editor\data\scripts\vehicle\vehicleUnJoinGrp.sqf";
_func_COC_Vehicle_GetInEH = preprocessFile "\vbs2\editor\data\scripts\vehicle\getIn.sqf";
_func_COC_Vehicle_GetOutEH = preprocessFile "\vbs2\editor\data\scripts\vehicle\getOut.sqf";
_func_COC_Vehicle_OnTypeChanged = compile preprocessFile "\vbs2\editor\data\scripts\vehicle\vehicleOnTypeChanged.sqf";
_func_COC_Vehicle_UpdatePlayability = compile preprocessFile "\vbs2\editor\data\scripts\vehicle\updateCrewPlayability.sqf";
_func_COC_Import_Vehicle = compile preprocessFile "\vbs2\editor\data\scripts\vehicle\import_Vehicle.sqf";
_func_COC_Trigger_SetDisplayName = compile preprocessFile "\vbs2\editor\data\scripts\trigger\setDisplayName.sqf";
_func_COC_Trigger_Create = compile preprocessFile "\vbs2\editor\data\scripts\trigger\createTrigger.sqf";
_func_COC_IED_Create = compile preprocessFile "\vbs2\editor\data\scripts\ied\iedCreate.sqf";
_func_COC_Set_Display_Names = compile preprocessFile "\vbs2\editor\data\scripts\ui\setDisplayNames.sqf";
_func_COC_Set_Color = compile preprocessFile "\vbs2\editor\data\scripts\ui\setColor.sqf";
_func_COC_PlaceObjOnObj = compile preprocessFile "\vbs2\editor\Data\Scripts\vehicle\placeObjOnObj.sqf";
_missionVersion = 2;
private["_allWaypoints"];

_group_0 = ["_group_0","WEST 1-1-A-1",[2460.54,1868.94,-1.28683],"WEST","","","",0] call _func_COC_Create_Group;

_vehicle_0 = ["_vehicle_0", true, "VBS2_AU_RAAF_C130J_G", [2460.54,1868.94,100.493], [], 0, "FLY", 5.17912, "plane", 1.00000, 1.00000, 1.00000, "UNKNOWN", "DEFAULT", "", 0, "_group_0", "", "NO CHANGE", "UNCHANGED", true, 1.00000, "on", "off"] call _func_COC_Vehicle_Create;

_object_0 = objNull;
if (true) then
{
  _object_0 = ["_object_0", false, "Barrels", [1569.35,2283.19,17.5404], [], 0, "CAN_COLLIDE", 0, "drum1", 1.00000, 1.00000, 1.00000, "UNKNOWN", "DEFAULT", "", 0, "", "", "NO CHANGE", "UNCHANGED", true, 1.00000, "on", "off"] call _func_COC_Vehicle_Create;
};

_marker_1 = ["_marker_1","m2","Item Storage","Icon","End","ColorRed",[20, 20],0,[1585.66052, 2364.34863],"true",ERROR,ERROR,true] call _func_COC_Marker_Create;

private ["_strCommander", "_strDriver", "_strGunner", "_strCargo"];
_strCommander = ""; _strDriver = ""; _strGunner = ""; _strCargo = "";
_unit_6 = (
[
	"_unit_6", true, "VBS2_AU_Army_Officer_W_F88A2_Elc", [2444.94727, 2546.86475, 18.68197], [], 0, "CAN_COLLIDE", 178.54877, "", 1.00000,
	1.00000, -1, "UNKNOWN", "", "PRIVATE", 0.60000, _strCommander, _strDriver, _strGunner, _strCargo, true, false, "", "WEST", "", [], "", "NO CHANGE", "UNCHANGED", "Auto", 1.00000
] + []) call _func_COC_Create_Unit;

_vehicle_7 = ["_vehicle_7", false, "VBS2_AU_Army_Landrover_D", [1610.57,2274.46,18.482], [], 0, "CAN_COLLIDE", 0, "car", 1.00000, 0.10758, 1.00000, "UNKNOWN", "DEFAULT", "", 0, "", "", "NO CHANGE", "UNCHANGED", true, 1.00000, "on", "off"] call _func_COC_Vehicle_Create;

_object_11 = objNull;
if (true) then
{
  _object_11 = ["_object_11", false, "vbs2_AmmoCrate_USMC", [1585.12,2282.6,16.5222], [], 0, "CAN_COLLIDE", 0, "ammo1", 1.00000, 1.00000, 1.00000, "UNKNOWN", "DEFAULT", "", 0, "", "", "NO CHANGE", "UNCHANGED", true, 1.00000, "on", "off"] call _func_COC_Vehicle_Create;
};

_object_66 = objNull;
if (true) then
{
  _object_66 = ["_object_66", false, "Barrels", [1557.49,2284.41,19.069], [], 0, "CAN_COLLIDE", 0, "drum2", 1.00000, 1.00000, 1.00000, "UNKNOWN", "DEFAULT", "", 0, "", "", "NO CHANGE", "UNCHANGED", true, 1.00000, "on", "off"] call _func_COC_Vehicle_Create;
};

_object_71 = objNull;
if (true) then
{
  _object_71 = ["_object_71", false, "Barrels", [1547.81,2285.79,19.6616], [], 0, "CAN_COLLIDE", 0, "drum3", 1.00000, 1.00000, 1.00000, "UNKNOWN", "DEFAULT", "", 0, "", "", "NO CHANGE", "UNCHANGED", true, 1.00000, "on", "off"] call _func_COC_Vehicle_Create;
};

_intel_0 = ["_intel_0",0.16233,0.30000,0.00000,0.00000,1985,5,10,15,30,1800,[2978.25781, 1773.60706],"Everybody"] call compile preprocessfile "\vbs2\editor\Data\Scripts\intel\createIntel.sqf";

private ["_strCommander", "_strDriver", "_strGunner", "_strCargo"];
_strCommander = ""; _strDriver = ""; _strGunner = ""; _strCargo = "";
_strDriver = "_vehicle_0";
_unit_185 = (
[
	"_unit_185", true, "VBS2_AU_RAAF_FighterPilot_G_Glock17", [2460.54,1868.94,0], [], 0, "CAN_COLLIDE", 0, "", 1,
	1, -1, "UNKNOWN", "", "PRIVATE", 0.6, _strCommander, _strDriver, _strGunner, _strCargo, false, false, "_group_0", "WEST", "C-130J Pilot ", [], "", "NO CHANGE", "UNCHANGED", "Auto", 1
] + [_group_0]) call _func_COC_Create_Unit;

_marker_0 = (["_marker_0","m1","","TacticalMarker","","ColorBlue",[20, 20],0,[2460.54,1868.94,-1.28683],"true","\vbs2\ui\tacticmarkers\data\Frames\Friend_Units","\vbs2\ui\tacticmarkers\data\Icons\Aviation","\vbs2\ui\tacticmarkers\data\Modifiers\S_Team","\vbs2\ui\tacticmarkers\data\SubRoles\Blanc",[0,0],1,[0,0],1,[0,0],1,[0,0],1,true] + [_unit_185]) call _func_COC_Marker_Tactical_Create;

private ["_strCommander", "_strDriver", "_strGunner", "_strCargo"];
_strCommander = ""; _strDriver = ""; _strGunner = ""; _strCargo = "";
_strGunner = "_vehicle_0";
_unit_5 = (
[
	"_unit_5", true, "VBS2_AU_RAAF_FighterPilot_G_Glock17", [2460.54,1870.99,0], [], 0, "CAN_COLLIDE", 0, "", 1,
	1, -1, "UNKNOWN", "", "PRIVATE", 0.6, _strCommander, _strDriver, _strGunner, _strCargo, false, false, "_group_0", "WEST", "C-130J-30 Commander ", [0], "", "NO CHANGE", "UNCHANGED", "Auto", 1
] + [_group_0]) call _func_COC_Create_Unit;

_trigger_0 = ["_trigger_0", [2572.52612, 3563.28369, 0.39875], [1000, 200, 0, false], ["WEST", "PRESENT", true], [0, 0, 0, false], "NONE", "", "", ["this", "{{deleteVehicle _x}forEach (crew _x); deleteVehicle _x}forEach thislist", ""]] call _func_COC_Trigger_Create;

_group_179 = ["_group_179","WEST 1-1-A-3",[2608.65,2023.82,-1.10689],"WEST","","","",0] call _func_COC_Create_Group;

_vehicle_267 = ["_vehicle_267", true, "VBS2_AU_Army_CH47D_G_M134", [2608.65,2023.82,51.1686], [], 0, "FLY", 0, "plane2", 1.00000, 1.00000, 1.00000, "UNKNOWN", "DEFAULT", "", 0, "_group_179", "", "NO CHANGE", "UNCHANGED", true, 1.00000, "on", "off"] call _func_COC_Vehicle_Create;

private ["_strCommander", "_strDriver", "_strGunner", "_strCargo"];
_strCommander = ""; _strDriver = ""; _strGunner = ""; _strCargo = "";
_strDriver = "_vehicle_267";
_unit_580 = (
[
	"_unit_580", true, "VBS2_AU_Army_HeliPilot_W_BrowningHP", [2608.65,2023.82,0], [], 0, "CAN_COLLIDE", 0, "", 1,
	1, -1, "UNKNOWN", "", "PRIVATE", 0.6, _strCommander, _strDriver, _strGunner, _strCargo, false, false, "_group_179", "WEST", "CH-47D Pilot ", [], "", "NO CHANGE", "UNCHANGED", "Auto", 1
] + [_group_179]) call _func_COC_Create_Unit;

private ["_strCommander", "_strDriver", "_strGunner", "_strCargo"];
_strCommander = ""; _strDriver = ""; _strGunner = ""; _strCargo = "";
_strGunner = "_vehicle_267";
_unit_581 = (
[
	"_unit_581", true, "VBS2_AU_Army_HeliPilot_W_BrowningHP", [2608.65,2023.82,0], [], 0, "CAN_COLLIDE", 0, "", 1,
	1, -1, "UNKNOWN", "", "PRIVATE", 0.6, _strCommander, _strDriver, _strGunner, _strCargo, false, false, "_group_179", "WEST", "CH-47D Commander ", [0], "", "NO CHANGE", "UNCHANGED", "Auto", 1
] + [_group_179]) call _func_COC_Create_Unit;

private ["_strCommander", "_strDriver", "_strGunner", "_strCargo"];
_strCommander = ""; _strDriver = ""; _strGunner = ""; _strCargo = "";
_strGunner = "_vehicle_267";
_unit_582 = (
[
	"_unit_582", true, "VBS2_AU_Army_HeliPilot_W_BrowningHP", [2608.65,2023.82,0], [], 0, "CAN_COLLIDE", 0, "", 1,
	1, -1, "UNKNOWN", "", "PRIVATE", 0.6, _strCommander, _strDriver, _strGunner, _strCargo, false, false, "_group_179", "WEST", "CH-47D Gunner ", [1], "", "NO CHANGE", "UNCHANGED", "Auto", 1
] + [_group_179]) call _func_COC_Create_Unit;

private ["_strCommander", "_strDriver", "_strGunner", "_strCargo"];
_strCommander = ""; _strDriver = ""; _strGunner = ""; _strCargo = "";
_strGunner = "_vehicle_267";
_unit_583 = (
[
	"_unit_583", true, "VBS2_AU_Army_HeliPilot_W_BrowningHP", [2608.65,2023.82,0], [], 0, "CAN_COLLIDE", 0, "", 1,
	1, -1, "UNKNOWN", "", "PRIVATE", 0.6, _strCommander, _strDriver, _strGunner, _strCargo, false, false, "_group_179", "WEST", "CH-47D Assistant Gunner ", [2], "", "NO CHANGE", "UNCHANGED", "Auto", 1
] + [_group_179]) call _func_COC_Create_Unit;

_marker_29 = (["_marker_29","m1","","TacticalMarker","","ColorBlue",[20, 20],0,[2608.65,2023.82,-1.10689],"true","\vbs2\ui\tacticmarkers\data\Frames\Friend_Units","\vbs2\ui\tacticmarkers\data\Icons\Aviation","\vbs2\ui\tacticmarkers\data\Modifiers\S_Team","\vbs2\ui\tacticmarkers\data\SubRoles\Blanc",[0,0],1,[0,0],1,[0,0],1,[0,0],1,true] + [_unit_580]) call _func_COC_Marker_Tactical_Create;

_veh = [];
["_waypoint_0",["name","_waypoint_0","type","MOVE","description","","combat_mode","NO CHANGE","formation","NO CHANGE","speed","UNCHANGED","behavior","CARELESS","destination",[2626.66064, 2557.99976, 13.86104],"nextTask","_waypoint_22","synchList",[],"placement",0,"timeout_min",0,"timeout_mid",0,"timeout_max",0,"condition","true","on_activation","nul=[plane,ammo1,""smoke"",""usebox""] execVM ""dropit.sqf""","script","","show","NEVER","synchTriggers",[]] + _veh] + [_unit_185] call _func_COC_Waypoint_Assign;

_veh = [];
["_waypoint_3",["name","_waypoint_3","type","MOVE","description","","combat_mode","NO CHANGE","formation","NO CHANGE","speed","UNCHANGED","behavior","UNCHANGED","destination",[2889.94238, 3359.38623, 0.65409],"nextTask","_waypoint_151","synchList",[],"placement",0,"timeout_min",0,"timeout_mid",0,"timeout_max",0,"condition","true","on_activation","","script","","show","NEVER","synchTriggers",[]] + _veh] + [_unit_185] call _func_COC_Waypoint_Assign;

_veh = [];
["_waypoint_22",["name","_waypoint_22","type","MOVE","description","","combat_mode","NO CHANGE","formation","NO CHANGE","speed","UNCHANGED","behavior","UNCHANGED","destination",[2637.55273, 2596.81250, 13.86104],"nextTask","_waypoint_3","synchList",[],"placement",0,"timeout_min",0,"timeout_mid",0,"timeout_max",0,"condition","true","on_activation","nul=[plane,drum1,""smoke""] execVM ""dropit.sqf"";nul=[plane,drum2] execVM ""dropit.sqf"";nul=[plane,drum3] execVM ""dropit.sqf""","script","","show","NEVER","synchTriggers",[]] + _veh] + [_unit_185] call _func_COC_Waypoint_Assign;

_veh = [];
["_waypoint_151",["name","_waypoint_151","type","MOVE","description","","combat_mode","NO CHANGE","formation","NO CHANGE","speed","UNCHANGED","behavior","UNCHANGED","destination",[3148.36768, 4280.46777],"nextTask","","synchList",[],"placement",0,"timeout_min",0,"timeout_mid",0,"timeout_max",0,"condition","true","on_activation","","script","","show","NEVER","synchTriggers",[]] + _veh] + [_unit_185] call _func_COC_Waypoint_Assign;

_veh = [];
["_waypoint_576",["name","_waypoint_576","type","MOVE","description","","combat_mode","NO CHANGE","formation","NO CHANGE","speed","UNCHANGED","behavior","UNCHANGED","destination",[2465.78320, 2607.35840],"nextTask","_waypoint_591","synchList",[],"placement",0,"timeout_min",0,"timeout_mid",0,"timeout_max",0,"condition","true","on_activation","nul=[plane2,car,""message""] execVM ""dropit.sqf""","script","","show","NEVER","synchTriggers",[]] + _veh] + [_unit_580] call _func_COC_Waypoint_Assign;

_veh = [];
["_waypoint_591",["name","_waypoint_591","type","MOVE","description","","combat_mode","NO CHANGE","formation","NO CHANGE","speed","UNCHANGED","behavior","UNCHANGED","destination",[2355.40845, 3152.08862],"nextTask","_waypoint_600","synchList",[],"placement",0,"timeout_min",0,"timeout_mid",0,"timeout_max",0,"condition","true","on_activation","","script","","show","NEVER","synchTriggers",[]] + _veh] + [_unit_580] call _func_COC_Waypoint_Assign;

_veh = [];
["_waypoint_600",["name","_waypoint_600","type","MOVE","description","","combat_mode","NO CHANGE","formation","NO CHANGE","speed","UNCHANGED","behavior","UNCHANGED","destination",[2192.32690, 4157.10791],"nextTask","","synchList",[],"placement",0,"timeout_min",0,"timeout_mid",0,"timeout_max",0,"condition","true","on_activation","","script","","show","NEVER","synchTriggers",[]] + _veh] + [_unit_580] call _func_COC_Waypoint_Assign;

call (compile (preprocessFile "\vbs2\editor\data\scripts\waypoint\waypointsPrepare.sqf"));
call (compile (preprocessFile "\vbs2\editor\data\scripts\waypoint\waypointsPrepareSynch.sqf"));

if (isNil "_map") then
{
  processInitCommands;
};
