activateAddons [ 
  "camisc",
  "vbs2_people_au_adf_rifleman",
  "vbs2_weapons_rifles_steyr_aug_au_f88",
  "vbs2_weapons_pistols_browning_hipower",
  "caweapons",
  "vbs2_vehicles_land_wheeled_rover_landrover_adf_landrover",
  "vbs2_vehicles_land_wheeled",
  "vbs2_vehicles_air_planes_lockheed_c130_au_c130j",
  "vbs2_people_au_adf_pilot_fighter",
  "vbs2_weapons_pistols_glock_17"
];

if (!isNil "_map") then
{
  call compile preProcessFile "\vbs2\editor\Data\Scripts\init_global.sqf";
  initAmbientLife;
};

_func_COC_Create_Unit = compile preprocessFile "\vbs2\editor\data\scripts\unit\create_Unit.sqf";
_func_COC_Update_Unit = compile preprocessFile "\vbs2\editor\data\scripts\unit\update_Unit.sqf";
_func_COC_Delete_Unit = compile preprocessFile "\vbs2\editor\data\scripts\unit\delete_Unit.sqf";
_func_COC_Import_Unit = compile preprocessFile "\vbs2\editor\data\scripts\unit\import_Unit.sqf";
_func_COC_UpdatePlayability_Unit = compile preprocessFile "\vbs2\editor\data\scripts\unit\updateUnitPlayability.sqf";
_func_COC_Create_Group = compile preprocessFile "\vbs2\editor\data\scripts\group\create_Group.sqf";
_func_COC_Update_Group = compile preprocessFile "\vbs2\editor\data\scripts\group\update_Group.sqf";
_func_COC_Delete_Group = compile preprocessFile "\vbs2\editor\data\scripts\group\delete_Group.sqf";
_func_COC_Delete_Group_Only = compile preprocessFile "\vbs2\editor\data\scripts\group\delete_Group_Only.sqf";
_func_COC_Attach_Group = compile preprocessFile "\vbs2\editor\data\scripts\group\attach_Group.sqf";
_func_COC_Group_OnCatChanged = compile preprocessFile "\vbs2\editor\data\scripts\group\groupOnCatChanged.sqf";
_func_COC_Group_OnTypeChanged = compile preprocessFile "\vbs2\editor\data\scripts\group\groupOnTypeChanged.sqf";
_func_COC_Group_OnNewCatChanged = compile preprocessFile "\vbs2\editor\data\scripts\group\groupOnNewSideOrCatChanged.sqf";
_func_COC_Group_OnNewTypeChanged = compile preprocessFile "\vbs2\editor\data\scripts\group\groupOnNewTypeChanged.sqf";
_func_COC_Group_OnCreateInit = compile preprocessFile "\vbs2\editor\data\scripts\group\groupCreateOnInit.sqf";
_func_COC_Group_Selected = compile preprocessFile "\vbs2\editor\data\scripts\group\groupFromSelected.sqf";
_func_COC_SubTeam_Join = compile preprocessFile "\vbs2\editor\data\scripts\subteam\subTeamJoin.sqf";
_func_COC_Waypoint_Assign = compile preprocessFile "\vbs2\editor\data\scripts\waypoint\waypointAssign.sqf";
_func_COC_Waypoint_Update = compile preprocessFile "\vbs2\editor\data\scripts\waypoint\waypointUpdate.sqf";
_func_COC_Waypoint_Draw = compile preprocessFile "\vbs2\editor\data\scripts\waypoint\waypointDraw.sqf";
_func_COC_Waypoint_Delete = compile preprocessFile "\vbs2\editor\data\scripts\waypoint\waypointDelete.sqf";
_func_COC_Waypoint_Move = compile preprocessFile "\vbs2\editor\Data\Scripts\waypoint\waypointMove.sqf";
_func_COC_Waypoint_Load_Branched = compile preprocessFile "\vbs2\editor\Data\Scripts\waypoint\waypointGetBranched.sqf";
_func_COC_Waypoint_Find_Config = compile preprocessFile "\vbs2\editor\Data\Scripts\waypoint\waypointFindConfigEntry.sqf";
_func_COC_Marker_Create = compile preprocessFile "\vbs2\editor\data\scripts\marker\markerCreate.sqf";
_func_COC_Marker_Update = compile preprocessFile "\vbs2\editor\data\scripts\marker\markerUpdate.sqf";
_func_COC_Marker_SetDrawIcons = compile preprocessFile "\vbs2\editor\data\scripts\marker\markerSetDrawIcons.sqf";
_func_COC_Marker_DlgChanged = compile preprocessFile "\vbs2\editor\data\scripts\marker\markerDlgChanged.sqf";
_func_COC_Marker_Tactical_Create = compile preprocessFile "\vbs2\editor\data\scripts\marker\markerCreateTactical.sqf";
_func_COC_Marker_Tactical_Update = compile preprocessFile "\vbs2\editor\data\scripts\marker\markerUpdateTactical.sqf";
_func_COC_Marker_Tactical_SetDrawIcons = compile preprocessFile "\vbs2\editor\data\scripts\marker\markerSetDrawIconsTactical.sqf";
_getCrew = compile preprocessFile "\vbs2\editor\Data\Scripts\vehicle\getCrew.sqf";
_func_COC_Vehicle_Create = compile preprocessFile "\vbs2\editor\Data\Scripts\vehicle\vehicleCreate.sqf";
_func_COC_Vehicle_Update = compile preprocessFile "\vbs2\editor\Data\Scripts\vehicle\processVehicleJoin.sqf";
_func_COC_Vehicle_Occupy = compile preprocessFile "\vbs2\editor\data\scripts\vehicle\occupyVehicle.sqf";
_func_COC_Vehicle_Delete = compile preprocessFile "\vbs2\editor\data\scripts\vehicle\vehicleDelete.sqf";
_func_COC_Vehicle_UnJoin = compile preprocessFile "\vbs2\editor\data\scripts\vehicle\vehicleUnJoinGrp.sqf";
_func_COC_Vehicle_GetInEH = preprocessFile "\vbs2\editor\data\scripts\vehicle\getIn.sqf";
_func_COC_Vehicle_GetOutEH = preprocessFile "\vbs2\editor\data\scripts\vehicle\getOut.sqf";
_func_COC_Vehicle_OnTypeChanged = compile preprocessFile "\vbs2\editor\data\scripts\vehicle\vehicleOnTypeChanged.sqf";
_func_COC_Vehicle_UpdatePlayability = compile preprocessFile "\vbs2\editor\data\scripts\vehicle\updateCrewPlayability.sqf";
_func_COC_Import_Vehicle = compile preprocessFile "\vbs2\editor\data\scripts\vehicle\import_Vehicle.sqf";
_func_COC_Trigger_SetDisplayName = compile preprocessFile "\vbs2\editor\data\scripts\trigger\setDisplayName.sqf";
_func_COC_Trigger_Create = compile preprocessFile "\vbs2\editor\data\scripts\trigger\createTrigger.sqf";
_func_COC_IED_Create = compile preprocessFile "\vbs2\editor\data\scripts\ied\iedCreate.sqf";
_func_COC_IED_Move = compile preprocessFile "\vbs2\editor\data\scripts\ied\iedMove.sqf";
_func_COC_Set_Display_Names = compile preprocessFile "\vbs2\editor\data\scripts\ui\setDisplayNames.sqf";
_func_COC_Set_Color = compile preprocessFile "\vbs2\editor\data\scripts\ui\setColor.sqf";
_func_COC_PlaceObjOnObj = compile preprocessFile "\vbs2\editor\Data\Scripts\vehicle\placeObjOnObj.sqf";
_func_COC_Draw_Distance = compile preprocessFile "\vbs2\editor\Data\Scripts\distance\drawDistance.sqf";
_missionVersion = 3;
private["_allWaypoints"];

_object_440 = objNull;
if (true) then
{
  _object_440 = ["_object_440", false, "Barrels", [19254.5,13823.9,12.8124], [], 0, "CAN_COLLIDE", 40.00767, "drum1", 1.00000, 1.00000, 1.00000, "UNKNOWN", "DEFAULT", "", 0, "", "", "NO CHANGE", "UNCHANGED", true, 1.00000, "on", "off", []] call _func_COC_Vehicle_Create;
};

_marker_264 = ["_marker_264","m2","Item Storage","Icon","End","ColorRed",[20, 20],1.21857,[19258.10156, 13853.10449, 226.02307],"true",ERROR,ERROR,true] call _func_COC_Marker_Create;

private ["_strCommander", "_strDriver", "_strGunner", "_strCargo"];
_strCommander = ""; _strDriver = ""; _strGunner = ""; _strCargo = "";
_unit_572 = (
[
	"_unit_572", true, "VBS2_AU_Army_Officer_W_F88A2_Elc", [18058.47656, 17848.98438, 42.46338], [], 0, "CAN_COLLIDE", 147.92078, "", 1.00000,
	1.00000, -1, "UNKNOWN", "hint ""Use the radio to order the drop""", "PRIVATE", 1.00000, _strCommander, _strDriver, _strGunner, _strCargo, true, false, "", "west", "", [], "", "NO CHANGE", "UNCHANGED", "Auto", 1.00000,
	0.50000, 0.20000, 0.50000, 0.20000, [], ""
] + []) call _func_COC_Create_Unit;

_vehicle_287 = ["_vehicle_287", false, "VBS2_AU_Army_Landrover_D", [19258.3,13825.6,12.3372], [], 0, "CAN_COLLIDE", -47.14318, "car", 1.00000, 0.10758, 1.00000, "UNKNOWN", "DEFAULT", "", 0, "", "", "NO CHANGE", "UNCHANGED", true, 1.00000, "on", "off", [], []] call _func_COC_Vehicle_Create;

_object_441 = objNull;
if (true) then
{
  _object_441 = ["_object_441", false, "vbs2_AmmoCrate_USMC", [19259.6,13819.7,12.4431], [], 0, "CAN_COLLIDE", -47.12627, "ammo1", 1.00000, 1.00000, 1.00000, "UNKNOWN", "DEFAULT", "", 0, "", "", "NO CHANGE", "UNCHANGED", true, 1.00000, "on", "off", []] call _func_COC_Vehicle_Create;
};

_object_442 = objNull;
if (true) then
{
  _object_442 = ["_object_442", false, "Barrels", [19255.9,13823.3,12.3602], [], 0, "CAN_COLLIDE", 40.00767, "drum2", 1.00000, 1.00000, 1.00000, "UNKNOWN", "DEFAULT", "", 0, "", "", "NO CHANGE", "UNCHANGED", true, 1.00000, "on", "off", []] call _func_COC_Vehicle_Create;
};

_object_443 = objNull;
if (true) then
{
  _object_443 = ["_object_443", false, "Barrels", [19257.9,13821,12.4208], [], 0, "CAN_COLLIDE", 40.00767, "drum3", 1.00000, 1.00000, 1.00000, "UNKNOWN", "DEFAULT", "", 0, "", "", "NO CHANGE", "UNCHANGED", true, 1.00000, "on", "off", []] call _func_COC_Vehicle_Create;
};

_group_185 = ["_group_185","WEST 1-1-A-2",[19266,13971.8,100],"WEST","","","",0,[]] call _func_COC_Create_Group;

_vehicle_288 = ["_vehicle_288", true, "VBS2_AU_RAAF_C130J_G", [19266,13971.8,111.977], [], 0, "FLY", -5.58072, "plane", 1.00000, 1.00000, 1.00000, "UNKNOWN", "DEFAULT", "", 0, "_group_185", "", "NO CHANGE", "UNCHANGED", true, 1.00000, "on", "off", [], []] call _func_COC_Vehicle_Create;

private ["_strCommander", "_strDriver", "_strGunner", "_strCargo"];
_strCommander = ""; _strDriver = ""; _strGunner = ""; _strCargo = "";
_strDriver = "_vehicle_288";
_unit_573 = (
[
	"_unit_573", true, "VBS2_AU_RAAF_FighterPilot_G_Glock17", [19266,13972.8,0], [], 0, "CAN_COLLIDE", -10.75987, "", 1,
	1, -1, "UNKNOWN", "", "PRIVATE", 0.6, _strCommander, _strDriver, _strGunner, _strCargo, false, false, "_group_185", "WEST", "C-130J Pilot ", [], "", "NO CHANGE", "UNCHANGED", "Auto", 1,
	0.5, 0.2, 0.5, 0.2, [], ""
] + [_group_185]) call _func_COC_Create_Unit;

private ["_strCommander", "_strDriver", "_strGunner", "_strCargo"];
_strCommander = ""; _strDriver = ""; _strGunner = ""; _strCargo = "";
_strGunner = "_vehicle_288";
_unit_574 = (
[
	"_unit_574", true, "VBS2_AU_RAAF_FighterPilot_G_Glock17", [19266,13972.8,0], [], 0, "CAN_COLLIDE", -10.75987, "", 1,
	1, -1, "UNKNOWN", "", "PRIVATE", 0.6, _strCommander, _strDriver, _strGunner, _strCargo, false, false, "_group_185", "WEST", "C-130J-30 Commander ", [0], "", "NO CHANGE", "UNCHANGED", "Auto", 1,
	0.5, 0.2, 0.5, 0.2, [], ""
] + [_group_185]) call _func_COC_Create_Unit;

_marker_265 = (["_marker_265","m1","","TacticalMarker","","ColorBlue",[20, 20],0,[19266,13971.8,100],"true","\vbs2\ui\tacticmarkers\data\Frames\Friend_Units","\vbs2\ui\tacticmarkers\data\Icons\Aviation","\vbs2\ui\tacticmarkers\data\Modifiers\S_Team","\vbs2\ui\tacticmarkers\data\SubRoles\Blanc",[0,0],1,[0,0],1,[0,0],1,[0,0],1,true] + [_unit_573]) call _func_COC_Marker_Tactical_Create;

_trigger_0 = ["_trigger_0", [19586.14063, 13974.41895, 0.82151], [0, 0, 0, false], ["ALPHA", "PRESENT", false], [0, 0, 0, false], "NONE", "", "Drop Supplies NOW", ["this", "nul=[plane,car] execVM ""dropit.sqf""; nul=[plane,ammo1,""message"",""smoke""] execVM ""dropit.sqf""; nul=[plane,drum1,""smoke""] execVM ""dropit.sqf""; nul=[plane,drum2] execVM ""dropit.sqf""; nul=[plane,drum3] execVM ""dropit.sqf""", ""],objNull,["true","NoChange","NoChange","NoChange","NoChange","NoChange","NoChange","NoChange","None","plain","BIS","Sphere",""]] call _func_COC_Trigger_Create;

_veh = [];
["_waypoint_733",["name","_waypoint_733","type","MOVE","description","","combat_mode","NO CHANGE","formation","NO CHANGE","speed","LIMITED","behavior","CARELESS","destination",[18132.60352, 18041.29102, 214.10399],"nextTask","_waypoint_734","prevTask","_waypoint_747","synchList",[],"placement",0,"timeout_min",0,"timeout_mid",0,"timeout_max",0,"condition","true","on_activation","","script","","show","NEVER","synchTriggers",[],"branchCondition","true","branchTo","","direction",-46.00592] + _veh] + [_unit_573] call _func_COC_Waypoint_Assign;

_veh = [];
["_waypoint_734",["name","_waypoint_734","type","MOVE","description","","combat_mode","NO CHANGE","formation","NO CHANGE","speed","FULL","behavior","UNCHANGED","destination",[17789.63867, 19430.01953, 128.96550],"nextTask","","prevTask","_waypoint_733","synchList",[],"placement",0,"timeout_min",0,"timeout_mid",0,"timeout_max",0,"condition","true","on_activation","{deleteVehicle _x}forEach (crew plane); deleteVehicle plane","script","","show","NEVER","synchTriggers",[],"branchCondition","true","branchTo","","direction",-46.00592] + _veh] + [_unit_573] call _func_COC_Waypoint_Assign;

_veh = [];
["_waypoint_747",["name","_waypoint_747","type","MOVE","description","","combat_mode","NO CHANGE","formation","NO CHANGE","speed","FULL","behavior","UNCHANGED","destination",[18395.56836, 17109.57422],"nextTask","_waypoint_733","prevTask","","synchList",[],"placement",0,"timeout_min",0,"timeout_mid",0,"timeout_max",0,"condition","true","on_activation","","script","","show","NEVER","synchTriggers",[],"branchCondition","true","branchTo","","direction",0] + _veh] + [_unit_573] call _func_COC_Waypoint_Assign;

call (compile (preprocessFile "\vbs2\editor\data\scripts\waypoint\waypointsPrepare.sqf"));
call (compile (preprocessFile "\vbs2\editor\data\scripts\waypoint\waypointsPrepareSynch.sqf"));
call (compile (preprocessFile "\vbs2\editor\data\scripts\group\groupBroadcastSubordinateGroups.sqf"));

if (isNil "_map") then
{
  processInitCommands;
};
